> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://developers.awork.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://developers.awork.com/_mcp/server.

# Moves a task list to another project.

POST https://api.awork.com/api/v1/projects/{projectId}/tasklists/{taskListId}/changeproject
Content-Type: application/json

Moves the task list, its tasks, and related time entries to another project. A status mapping can move tasks to replacement statuses.
The user must have `project-planning-data:write` permission on both projects.

Reference: https://developers.awork.com/apiv1/task-lists/post-project-task-list-change-project-by-project-id-and-task-list-id

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `projectId` (string, required) — The id of the project.
- `taskListId` (string, required) — The id of the task list.

### Body (application/json)

This endpoint expects a ChangeProjectFormForTaskLists.

- `projectId` (string, required) — The id of the project the list will be moved to.
- `taskStatusMapping` (list of TaskStatusMappingForm, required) — The task status mapping from old task status to new task status.

## Response

### 204

No Content

## Types

### TaskStatusMappingForm

- `oldStatusId` (string, required) — The old task status id.
- `newStatusId` (string, required) — The new task status id.

## Examples

**Request**

```json
{
  "projectId": "123e4567-e89b-12d3-a456-426614174000",
  "taskStatusMapping": [
    {
      "oldStatusId": "123e4567-e89b-12d3-a456-426614174000",
      "newStatusId": "123e4567-e89b-12d3-a456-426614174000"
    }
  ]
}
```

**SDK Code**

```python
import requests

url = "https://api.awork.com/api/v1/projects/projectId/tasklists/taskListId/changeproject"

payload = {
    "projectId": "123e4567-e89b-12d3-a456-426614174000",
    "taskStatusMapping": [
        {
            "oldStatusId": "123e4567-e89b-12d3-a456-426614174000",
            "newStatusId": "123e4567-e89b-12d3-a456-426614174000"
        }
    ]
}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.awork.com/api/v1/projects/projectId/tasklists/taskListId/changeproject';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"projectId":"123e4567-e89b-12d3-a456-426614174000","taskStatusMapping":[{"oldStatusId":"123e4567-e89b-12d3-a456-426614174000","newStatusId":"123e4567-e89b-12d3-a456-426614174000"}]}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.awork.com/api/v1/projects/projectId/tasklists/taskListId/changeproject"

	payload := strings.NewReader("{\n  \"projectId\": \"123e4567-e89b-12d3-a456-426614174000\",\n  \"taskStatusMapping\": [\n    {\n      \"oldStatusId\": \"123e4567-e89b-12d3-a456-426614174000\",\n      \"newStatusId\": \"123e4567-e89b-12d3-a456-426614174000\"\n    }\n  ]\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.awork.com/api/v1/projects/projectId/tasklists/taskListId/changeproject")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"projectId\": \"123e4567-e89b-12d3-a456-426614174000\",\n  \"taskStatusMapping\": [\n    {\n      \"oldStatusId\": \"123e4567-e89b-12d3-a456-426614174000\",\n      \"newStatusId\": \"123e4567-e89b-12d3-a456-426614174000\"\n    }\n  ]\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.awork.com/api/v1/projects/projectId/tasklists/taskListId/changeproject")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"projectId\": \"123e4567-e89b-12d3-a456-426614174000\",\n  \"taskStatusMapping\": [\n    {\n      \"oldStatusId\": \"123e4567-e89b-12d3-a456-426614174000\",\n      \"newStatusId\": \"123e4567-e89b-12d3-a456-426614174000\"\n    }\n  ]\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.awork.com/api/v1/projects/projectId/tasklists/taskListId/changeproject', [
  'body' => '{
  "projectId": "123e4567-e89b-12d3-a456-426614174000",
  "taskStatusMapping": [
    {
      "oldStatusId": "123e4567-e89b-12d3-a456-426614174000",
      "newStatusId": "123e4567-e89b-12d3-a456-426614174000"
    }
  ]
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.awork.com/api/v1/projects/projectId/tasklists/taskListId/changeproject");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"projectId\": \"123e4567-e89b-12d3-a456-426614174000\",\n  \"taskStatusMapping\": [\n    {\n      \"oldStatusId\": \"123e4567-e89b-12d3-a456-426614174000\",\n      \"newStatusId\": \"123e4567-e89b-12d3-a456-426614174000\"\n    }\n  ]\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [
  "projectId": "123e4567-e89b-12d3-a456-426614174000",
  "taskStatusMapping": [
    [
      "oldStatusId": "123e4567-e89b-12d3-a456-426614174000",
      "newStatusId": "123e4567-e89b-12d3-a456-426614174000"
    ]
  ]
] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.awork.com/api/v1/projects/projectId/tasklists/taskListId/changeproject")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```